Skip to main content

Update network

PATCH
/networks

Contract

Parameter
Value
Sectionnetworks
AuthenticationCookieAuth
Consumesapplication/json
Producesapplication/json

Parameters

1 parameter

Name
Location
Required
Type
Description
requestbodyyesobjectNetwork fields to update (must include id; may include macPolicy)
  • {
      "createdAt": "<string>",
      "excludes": [
        "<string>"
      ],
      "gateway": "<string>",
      "gatewayMac": "<string>",
      "gatewayMacId": 0,
      "gatewayMacMode": "<string>",
      "id": 0,
      "ipVersion": "<string>",
      "issuer": {
        "agreementAccepted": true,
        "createdAt": "<string>",
        "deletedAt": "<string>",
        "email": "<string>",
        "group": {
          "createdAt": "<string>",
          "deletedAt": "<string>",
          "id": 0,
          "issuer": {},
          "issuerID": 0,
          "name": "<string>",
          "permissions": [
            {}
          ],
          "updatedAt": "<string>",
          "users": [
            {}
          ]
        },
        "groupID": 0,
        "id": 0,
        "isActive": true,
        "isRequiredToSetPassword": true,
        "lastLogin": "<string>",
        "notificationsReadAt": "<string>",
        "passwordLength": 0,
        "realName": "<string>",
        "updatedAt": "<string>"
      },
      "issuerID": 0,
      "name": "<string>",
      "pattern": "<string>",
      "ports": "<string>",
      "spoofing": true,
      "subnet": "<string>",
      "type": 0,
      "updatedAt": "<string>"
    }

Responses

4 responses

Status
Description
Type
200
Network updatedno body
400
Invalid gateway or MAC policyobject
401
Unauthorizedobject
500
Invalid request body or record update failedobject
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }